Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1020435 - Review Request: perl-jmx4perl - JSON-HTTP based acess to a remote JMX agent
Summary: Review Request: perl-jmx4perl - JSON-HTTP based acess to a remote JMX agent
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2013-10-17 16:18 UTC by Kostas Georgiou
Modified: 2015-08-25 11:12 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-25 11:12:16 UTC
ppisar: fedora-review-


Attachments (Terms of Use)

Description Kostas Georgiou 2013-10-17 16:18:08 UTC
Spec URL: http://georgiou.fedorapeople.org//perl-jmx4perl.spec
SRPM URL: http://georgiou.fedorapeople.org//perl-jmx4perl-1.07-2.fc19.src.rpm

Description:
Jmx4Perl provides an alternate way for accessing Java JEE Server management
interfaces which are based on JMX (Java Management Extensions). It is an
agent based approach, where a small Java Webapplication deployed on the
application server provides an HTTP/JSON based access to JMX MBeans
registered within the application server.

Comment 1 Kostas Georgiou 2013-10-18 17:58:23 UTC
Updated spec and srpm

Spec URL: http://georgiou.fedorapeople.org//perl-jmx4perl.spec
SRPM URL: http://georgiou.fedorapeople.org//perl-jmx4perl-1.07-4.fc19.src.rpm

Comment 2 Petr Pisar 2013-10-24 13:10:56 UTC
URL is usable. Ok.
Source0 is valid. Ok.
Source tar ball is original (SHA-256: efbc2dce1fffbf651d098500aedf53065cdb3cc308784f94135f77d93e111124). Ok.
Summary is Ok.
Description verified from README. Ok.

inc/* files are perl-licensed but they don't go into binary package. Their license is not significant for License tag.
License verified from LICENSE, REAMDE, lib/JMX/Jmx4Perl/Manual.pod. Ok.
No XS code, noarch BuildArch is Ok.

FIX: The dependency filtering macros used are obsolete. Use __requires_exclude instead <https://fedoraproject.org/wiki/Packaging:AutoProvidesAndRequiresFiltering>.

Bundled Module::Build has been removed. Ok.

TODO: Do not package META.json. It does not bring any additional documentation.

FIX: Build-require `perl(constant)' (lib/JMX/Jmx4Perl/Request.pm:141).
FIX: Build-require `perl(HTTP::Request)' (lib/JMX/Jmx4Perl/Agent.pm:6).
FIX: Build-require `perl(Nagios::Plugin::Functions)' (lib/JMX/Jmx4Perl/Nagios/CheckJmx4Perl.pm:11).

TODO: Build-require `perl(overload)' (lib/JMX/Jmx4Perl/Alias/Object.pm:46).

FIX: Build-require `perl(URI::Escape)' (lib/JMX/Jmx4Perl/Agent.pm:5).

TODO: Build-require `perl(FindBin)' (t/10_handler.t:5).
TODO: Build-require `perl(lib)' (t/10_handler.t:6).

FIX: The Build.PL is interactive. Redirect /dev/null to stdin.

All tests pass. Ok.

$ rpmlint perl-jmx4perl.spec ../SRPMS/perl-jmx4perl-1.07-4.fc21.src.rpm ../RPMS/noarch/perl-jmx4perl-1.07-4.fc21.noarch.rpm 
perl-jmx4perl.noarch: W: conffile-without-noreplace-flag /etc/jmx4perl/jetty.cfg
perl-jmx4perl.noarch: W: conffile-without-noreplace-flag /etc/jmx4perl/common.cfg
perl-jmx4perl.noarch: W: conffile-without-noreplace-flag /etc/jmx4perl/memory.cfg
perl-jmx4perl.noarch: W: conffile-without-noreplace-flag /etc/jmx4perl/glassfish.cfg
perl-jmx4perl.noarch: W: conffile-without-noreplace-flag /etc/jmx4perl/metrics.cfg
perl-jmx4perl.noarch: W: conffile-without-noreplace-flag /etc/jmx4perl/threads.cfg
perl-jmx4perl.noarch: W: conffile-without-noreplace-flag /etc/jmx4perl/jboss.cfg
perl-jmx4perl.noarch: W: conffile-without-noreplace-flag /etc/jmx4perl/tomcat.cfg
perl-jmx4perl.noarch: W: conffile-without-noreplace-flag /etc/jmx4perl/weblogic.cfg
perl-jmx4perl.noarch: E: incorrect-fsf-address /usr/share/doc/perl-jmx4perl/LICENSE
2 packages and 1 specfiles checked; 1 errors, 9 warnings.
FIX: Mark those configuration files with %config(noreplace) macro in the %files section <https://fedoraproject.org/wiki/Packaging:Guidelines?rd=Packaging/Guidelines#Configuration_files>.

File layout and permissions are Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-jmx4perl-1.07-4.fc21.noarch.rpm | sort -i | uniq -c
      1 gnupg2
      1 perl(Archive::Zip)
      1 perl(base)
      2 perl(Carp)
      1 perl(Config::General)
      1 perl(Config::General) >= 2.34
      1 perl(constant)
      1 perl(Crypt::Blowfish_PP)
      1 perl(Cwd)
      2 perl(Data::Dumper)
      2 perl(Digest::MD5)
      2 perl(Digest::SHA1)
      1 perl(Exporter)
      1 perl(File::SearchPath)
      1 perl(File::Spec)
      1 perl(File::Temp)
      1 perl(FindBin)
      1 perl(Getopt::Long)
      1 perl(HTTP::Request)
      1 perl(JMX::Jmx4Perl)
      1 perl(JMX::Jmx4Perl::Agent::Jolokia::ArtifactHandler)
      1 perl(JMX::Jmx4Perl::Agent::Jolokia::DownloadAgent)
      1 perl(JMX::Jmx4Perl::Agent::Jolokia::Logger)
      1 perl(JMX::Jmx4Perl::Agent::Jolokia::Meta)
      1 perl(JMX::Jmx4Perl::Agent::Jolokia::Verifier)
      1 perl(JMX::Jmx4Perl::Agent::Jolokia::Verifier::ChecksumVerifier)
      1 perl(JMX::Jmx4Perl::Agent::Jolokia::Verifier::PGPKey)
      1 perl(JMX::Jmx4Perl::Agent::Jolokia::WebXmlHandler)
      1 perl(JMX::Jmx4Perl::Agent::UserAgent)
      1 perl(JMX::Jmx4Perl::Alias)
      1 perl(JMX::Jmx4Perl::Alias::Object)
      1 perl(JMX::Jmx4Perl::Config)
      1 perl(JMX::Jmx4Perl::J4psh)
      1 perl(JMX::Jmx4Perl::J4psh::Command)
      1 perl(JMX::Jmx4Perl::J4psh::CommandHandler)
      1 perl(JMX::Jmx4Perl::J4psh::CompletionHandler)
      1 perl(JMX::Jmx4Perl::J4psh::ServerHandler)
      1 perl(JMX::Jmx4Perl::J4psh::Shell)
      1 perl(JMX::Jmx4Perl::Nagios::CactiJmx4Perl)
      1 perl(JMX::Jmx4Perl::Nagios::CheckJmx4Perl)
      1 perl(JMX::Jmx4Perl::Nagios::SingleCheck)
      1 perl(JMX::Jmx4Perl::Product::BaseHandler)
      1 perl(JMX::Jmx4Perl::Request)
      1 perl(JMX::Jmx4Perl::Response)
      1 perl(JMX::Jmx4Perl::Util)
      1 perl(JSON)
      1 perl(JSON) >= 2.12
      1 perl(lib)
      2 perl(LWP::UserAgent)
      1 perl(:MODULE_COMPAT_5.18.1)
      2 perl(Module::Find)
      1 perl(Nagios::Plugin)
      1 perl(Nagios::Plugin) >= 0.27
      1 perl(Nagios::Plugin::Functions)
      1 perl(Pod::Usage)
      1 perl(POSIX)
      2 perl(Scalar::Util)
      1 perl(strict)
      2 perl(Sys::SigAction)
      1 perl(TAP::Harness)
      1 perl(Term::ANSIColor)
      2 perl(Term::Clui)
      1 perl(Term::ProgressBar)
      2 perl(Term::ShellUI)
      1 perl(Term::Size) >= 0.207
      2 perl(Text::ParseWords)
      1 perl(Time::HiRes)
      1 perl(URI) >= 1.35
      1 perl(URI::Escape)
      1 perl(vars)
      1 perl(warnings)
      1 perl(XML::LibXML)
      1 perl(XML::Twig)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
      1 /usr/bin/perl
TODO: Do not run-require these modules explicitly, they are autodetected: 
      2 perl(Carp)
      2 perl(Data::Dumper)
      2 perl(Digest::MD5)
      2 perl(Digest::SHA1)
      2 perl(LWP::UserAgent)
      2 perl(Module::Find)
      2 perl(Scalar::Util)
      2 perl(Sys::SigAction)
      2 perl(Term::Clui)
      2 perl(Term::ShellUI)
      2 perl(Text::ParseWords)
TODO: Filter under-specified dependencies for these unversioned modules:
perl(Config::General), perl(JSON), perl(Nagios::Plugin).

$ rpm -q --provides -p ../RPMS/noarch/perl-jmx4perl-1.07-4.fc21.noarch.rpm | sort -i | uniq -c 
      1 perl-jmx4perl = 1.07-4.fc21
      1 perl(JMX::Jmx4Perl) = 1.07
      1 perl(JMX::Jmx4Perl::Agent)
      1 perl(JMX::Jmx4Perl::Agent::Jolokia::ArtifactHandler)
      1 perl(JMX::Jmx4Perl::Agent::Jolokia::DownloadAgent)
      1 perl(JMX::Jmx4Perl::Agent::Jolokia::Logger)
      1 perl(JMX::Jmx4Perl::Agent::Jolokia::Logger::None)
      1 perl(JMX::Jmx4Perl::Agent::Jolokia::Meta)
      1 perl(JMX::Jmx4Perl::Agent::Jolokia::Verifier)
      1 perl(JMX::Jmx4Perl::Agent::Jolokia::Verifier::ChecksumVerifier)
      1 perl(JMX::Jmx4Perl::Agent::Jolokia::Verifier::GnuPGVerifier)
      1 perl(JMX::Jmx4Perl::Agent::Jolokia::Verifier::MD5Verifier)
      1 perl(JMX::Jmx4Perl::Agent::Jolokia::Verifier::OpenPGPVerifier)
      1 perl(JMX::Jmx4Perl::Agent::Jolokia::Verifier::PGPKey)
      1 perl(JMX::Jmx4Perl::Agent::Jolokia::Verifier::SHA1Verifier)
      1 perl(JMX::Jmx4Perl::Agent::Jolokia::WebXmlHandler)
      1 perl(JMX::Jmx4Perl::Agent::UserAgent)
      1 perl(JMX::Jmx4Perl::Alias)
      1 perl(JMX::Jmx4Perl::Alias::Object)
      1 perl(JMX::Jmx4Perl::Config)
      1 perl(JMX::Jmx4Perl::J4psh)
      1 perl(JMX::Jmx4Perl::J4psh::Command)
      1 perl(JMX::Jmx4Perl::J4psh::Command::Global)
      1 perl(JMX::Jmx4Perl::J4psh::CommandHandler)
      1 perl(JMX::Jmx4Perl::J4psh::Command::MBean)
      1 perl(JMX::Jmx4Perl::J4psh::Command::Server)
      1 perl(JMX::Jmx4Perl::J4psh::CompletionHandler)
      1 perl(JMX::Jmx4Perl::J4psh::ServerHandler)
      1 perl(JMX::Jmx4Perl::J4psh::Shell)
      1 perl(JMX::Jmx4Perl::Nagios::CactiJmx4Perl)
      1 perl(JMX::Jmx4Perl::Nagios::CheckJmx4Perl)
      1 perl(JMX::Jmx4Perl::Nagios::SingleCheck)
      1 perl(JMX::Jmx4Perl::Product::ActiveMQ)
      1 perl(JMX::Jmx4Perl::Product::BaseHandler)
      1 perl(JMX::Jmx4Perl::Product::Geronimo)
      1 perl(JMX::Jmx4Perl::Product::Glassfish)
      1 perl(JMX::Jmx4Perl::Product::Hadoop)
      1 perl(JMX::Jmx4Perl::Product::JBoss)
      1 perl(JMX::Jmx4Perl::Product::Jetty)
      1 perl(JMX::Jmx4Perl::Product::Jonas)
      1 perl(JMX::Jmx4Perl::Product::Resin)
      1 perl(JMX::Jmx4Perl::Product::SpringDM)
      1 perl(JMX::Jmx4Perl::Product::Terracotta)
      1 perl(JMX::Jmx4Perl::Product::Tomcat)
      1 perl(JMX::Jmx4Perl::Product::Unknown)
      1 perl(JMX::Jmx4Perl::Product::Weblogic)
      1 perl(JMX::Jmx4Perl::Product::Websphere)
      1 perl(JMX::Jmx4Perl::Request)
      1 perl(JMX::Jmx4Perl::Response)
      1 perl(JMX::Jmx4Perl::Util)
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/noarch/perl-jmx4perl-1.07-4.fc21.noarch.rpm 
Binary dependencies resolvable. Ok.

Package builds in F21 (http://koji.fedoraproject.org/koji/taskinfo?taskID=6094373). OK.

Otherwise the package is in line with Fedora and Perl packaging guidelines.

Please correct all `FIX' issues, consider fixing `TODO' items, and provide new spec file.
Resolution: Package NOT approved.

Comment 3 Petr Pisar 2014-07-18 11:56:18 UTC
Any progress?

Comment 4 Oliver Falk 2015-08-25 06:35:46 UTC
Long time ago... Is this ever going to happen?

Comment 5 Petr Pisar 2015-08-25 11:12:16 UTC
I closed this review request by rejecting it because the submitter is unresponsive.

Anybody willing to maintain this package can start a new review.


Note You need to log in before you can comment on or make changes to this bug.